Is Telerik UI for ASP.NET AJAX vulnerable to the Log4J issue?

1 Answer 607 Views
Security
GIANLUCA
Top achievements
Rank 1
GIANLUCA asked on 14 Dec 2021, 08:00 AM

Does the library "Telerik UI for ASP.NET AJAX" vulnerable toi the Log4j issue?

On specific, we use:

Telerik UI for ASP.NET AJAX design time  - Telerik.Web.Design - Telerik.Web.Design.dll - 2020.2.617.45
Telerik Device Detection for ASP.NET Ajax - Telerik.Web.Device.Detection - 2020.2.617.45 - Telerik.Web.Device.Detection.dll
ProgressĀ® TelerikĀ® UI for ASP.NET AJAX - Telerik.Web.UI - 2020.2.617.45 - Telerik.Web.UI.dll
Telerik UI for ASP.NET AJAX Ajax Skins - Telerik.Web.UI.Skins - 2020.2.617.45 - Telerik.Web.UI.Skins.dll

 

 

 

 

1 Answer, 1 is accepted

Sort by
0
Vessy
Telerik team
answered on 14 Dec 2021, 10:14 AM

Hi GIANLUCA,

The problematic Log4j package is not used in Telerik UI for ASP.NET AJAX nor in any product across the DevTools portfolio. Also, no dependencies are integrated on a product level. You can find detailed information on the matter here:

https://www.progress.com/Security

Regards,
Vessy
Progress Telerik

Love the Telerik and Kendo UI products and believe more people should try them? Invite a fellow developer to become a Progress customer and each of you can get a $50 Amazon gift voucher.

Tags
Security
Asked by
GIANLUCA
Top achievements
Rank 1
Answers by
Vessy
Telerik team
Share this question
or